Interleave (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.math.raw

## Class Interleave

- java.lang.Object
- - org.bouncycastle.math.raw.Interleave

-     public class Interleave
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Interleave()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `expand16to32(int x)`
    `static long` | `expand32to64(int x)`
    `static int` | `expand4to8(int x)`
    `static void` | `expand64To128(long[] xs, int xsOff, int xsLen, long[] zs, int zsOff)`
    `static void` | `expand64To128(long x, long[] z, int zOff)`
    `static void` | `expand64To128Rev(long x, long[] z, int zOff)`
    `static int` | `expand8to16(int x)`
    `static int` | `shuffle(int x)`
    `static long` | `shuffle(long x)`
    `static int` | `shuffle2(int x)`
    `static long` | `shuffle2(long x)`
    `static long` | `shuffle3(long x)`
    `static int` | `unshuffle(int x)`
    `static long` | `unshuffle(long x)`
    `static int` | `unshuffle2(int x)`
    `static long` | `unshuffle2(long x)`
    `static long` | `unshuffle3(long x)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Interleave

          public Interleave()

  - ### Method Detail

    - #### expand4to8

          public static int expand4to8(int x)

    - #### expand8to16

          public static int expand8to16(int x)

    - #### expand16to32

          public static int expand16to32(int x)

    - #### expand32to64

          public static long expand32to64(int x)

    - #### expand64To128

          public static void expand64To128(long x,
                                           long[] z,
                                           int zOff)

    - #### expand64To128

          public static void expand64To128(long[] xs,
                                           int xsOff,
                                           int xsLen,
                                           long[] zs,
                                           int zsOff)

    - #### expand64To128Rev

          public static void expand64To128Rev(long x,
                                              long[] z,
                                              int zOff)

    - #### shuffle

          public static int shuffle(int x)

    - #### shuffle

          public static long shuffle(long x)

    - #### shuffle2

          public static int shuffle2(int x)

    - #### shuffle2

          public static long shuffle2(long x)

    - #### shuffle3

          public static long shuffle3(long x)

    - #### unshuffle

          public static int unshuffle(int x)

    - #### unshuffle

          public static long unshuffle(long x)

    - #### unshuffle2

          public static int unshuffle2(int x)

    - #### unshuffle2

          public static long unshuffle2(long x)

    - #### unshuffle3

          public static long unshuffle3(long x)